> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List all verifications

> Requires the `verification:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /verifications
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /verifications:
    get:
      tags:
        - Verifications
      summary: List all verifications
      description: Requires the `verification:read` ability.
      operationId: verifications.index
      parameters:
        - name: sort
          in: query
          description: >-
            Available sorts are `created_at`, `updated_at`, `status`. You can
            sort by multiple options by separating them with a comma. To sort in
            descending order, use `-` sign in front of the sort, for example:
            `-created_at`.
          schema:
            type: string
            default: '-created_at'
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 10
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: fields[verifications]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - individual_confirmation_mode
                - send_individual_confirmation_sms
                - send_individual_confirmation_email
                - accept_close_match
                - attribution_id
                - individual_confirmation_url
                - failure_reason
                - check_results
                - created_at
                - updated_at
          explode: false
        - name: filter[status]
          in: query
          description: The current status of the verification.
          schema:
            $ref: '#/components/schemas/VerificationStatus'
            examples:
              - successful
        - name: filter[attribution_id]
          in: query
          description: The attribution ID.
          schema:
            type: string
            examples:
              - invoice-123
        - name: filter[created_at_start]
          in: query
          description: Filter verifications created on or after this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-01T00:00:00Z'
        - name: filter[created_at_end]
          in: query
          description: Filter verifications created on or before this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-30T23:59:59Z'
      responses:
        '200':
          description: Paginated set of `VerificationResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/VerificationResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    VerificationStatus:
      type: string
      enum:
        - created
        - pending
        - successful
        - rejected
        - failed
        - cancelled
        - expired
        - error
      title: VerificationStatus
    VerificationResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: verifications
        attributes:
          type: object
          properties:
            status:
              type: string
              description: Current status of the verification.
            individual_confirmation_mode:
              type: string
              description: Verification mode for the individual.
            send_individual_confirmation_sms:
              type: string
              description: Whether confirmation SMS is sent to the individual.
            send_individual_confirmation_email:
              type: string
              description: Whether confirmation email is sent to the individual.
            accept_close_match:
              type: string
              description: Whether to accept close match for individual verifications.
            attribution_id:
              type: string
              description: The attribution ID optionally provided upon creation.
            individual_confirmation_url:
              type: string
              description: Confirmation URL for the individual to complete verification.
            failure_reason:
              type: string
              description: Human-readable reason why the verification failed.
            check_results:
              type:
                - object
                - 'null'
              description: Array of verification check results.
              additionalProperties:
                type: object
                additionalProperties:
                  type: string
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: VerificationResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````